Ubuntu

Frequent PA crashes during playback - pa_stream_cork() failed: Connection terminated and pa_stream_writable_size(): Connection failed

Reported by David Nielsen on 2010-09-21
536
This bug affects 188 people
Affects Status Importance Assigned to Milestone
gst-plugins-good0.10 (Ubuntu)
High
alexx6x
Maverick
Undecided
Unassigned
Natty
High
alexx6x
pulseaudio (Ubuntu)
High
Unassigned
Maverick
Undecided
uncle Lem
Natty
High
Unassigned

Bug Description

*****************
SRU Justification
*****************

Justification: This is a medium-to-high impact bug as PulseAudio crashes, causing non-working playback and recording. It is especially troublesome for machines with low CPU power (e g Intel Atom based machines).
Regression risk: Low - the patches are both in Natty and upstream since 2-3 months back and no regressions have been reported.
Howto: please apply the maverisk-sru.debdiff patch to gst-plugins-good-0.10.
Test: on a troublesome machine - pulseaudio won't crash anymore after this patch has been applied. To verify that PulseAudio is crashing for the same reason as this patch fixes, take a PulseAudio verbose log (according to http://wiki.ubuntu.com/PulseAudio/Log ) - in this crashing scenario, the log is filled with extreme amounts of "Processing Rewind" messages.

*****************

Binary package hint: pulseaudio

With the recent kernel and pa upgrades in Maverick I am seeing very frequent crashes in Totem trying to play back audio as well as video.

The error messages in question always arrive together and are as follows:
pa_stream_cork() failed: Connection terminated
pa_stream_writable_size(): Connection failed

The machine in question is an Asus EeePC 1002HA and the problem persists on both the USB attached speakers and the builtin HDA device.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu19
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: david 2675 F.... pulseaudio
 /dev/snd/controlC1: david 2675 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfbcb8000 irq 43'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,1043834a,00100004'
   Controls : 10
   Simple ctrls : 6
Card1.Amixer.info:
 Card hw:1 'Speaker'/'USB Speaker at usb-0000:00:1d.1-1, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0c76:160c'
   Controls : 2
   Simple ctrls : 1
Date: Tue Sep 21 16:11:27 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
ProcEnviron:
 LANG=da_DK.utf8
 SHELL=/bin/bash
SourcePackage: pulseaudio
dmi.bios.date: 03/02/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0701
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1002HA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTek Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0701:bd03/02/2009:svnASUSTeKComputerINC.:pn1002HA:pvrx.x:rvnASUSTeKComputerINC.:rn1002HA:rvrx.xx:cvnASUSTekComputerINC.:ct10:cvrx.x:
dmi.product.name: 1002HA
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

Also happens after upgrading to your staging version.

As requested the verbose pulseaudio log

SWOriginal (sworiginal) wrote :

will this be fixed in maverick? its impossible to watch a dvd

Benjamin Humphrey (humphreybc) wrote :

Can confirm this on Ubuntu 10.10 final with Totem.

Tony Walker (tony-walker-tw) wrote :

Ubuntu 10.10 running on Advent 4211 netbook (MSI Wind-like netbook)
Was working fine in 10.04
Stopped on generic 10.10 install.
I have added 10.10 Medibuntu and updated the mplayer version to their version, but this made no difference at all (which it wouldn't, given that the problem is pulseaudio).

lspci list:
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8187SE Wireless LAN Controller (rev 22)

I can confirm this bug on a Dell Mini 1012.

Worked fine under 10.04, upon upgrade to 10.10 I have the symptoms described above.

Synthaxx (synthaxx) wrote :

Confirming on EEE PC 901.

VLC however seems to work just fine.

I have this bug when viewing mp4 files with sound in AC3 in totem. It worked fine when sound in MP3

Using Ubuntu 10.10

This problem affect Rhythmbox 0.13.1 when play audio files with ( and ) symbols in to path

The pulse audio problem with the message pa_stream_writable_size(): Connection failed on Rhythmbox 0.13.1 playing some mp3 files that contain the ( and ) sybols on file path was fixed and solved deletting all files into the ~/.pulse directory.

restarting the system all audio programs work fine, Rhythmbox, Totem and "mouse over" pre-play on the audio files

Same bug on my Asus eeePC 1005HA: mp4 videos with AAC sound play without sound, and at a slightly accelerated rate, for some seconds before crashing Totem with the above mentioned error message. VLC works fine.

Well after some search on the web I finally found a solution: I simply erased the .pulse directory in my /home/user profile. Totem seems to work fine now.

More news :) As the bug reappeard at each reboot, I had to add a command erasing the ~/.pulse directory at each boot AND reinstall all pulseaudio related packages from Synaptic. Bug solved for me, for now.

I played the same MP4 file in another computer (HP Pavillion laptop, ubuntu 10.10 x86) and it played well.

I have the error messages in a home made computer, with a Zotac ION 330 motherboard. The sound output is set to HDMI. It have no problem if setting output to Analog Stereo .

I don't know what command do I have to execute to give you a log.

The video file has this properties:
Video: Size 720x394; Codec: XVID MPEG-4; 25 frames per second
Audio: Codec: Dolby Digital (AC-3); Channels: Surround 5.1; Sample Freq. 48000Hz; Bit rate: 384 kbps

Deleting .pulse directory just set sound output to Analog Stereo. When I change it to HDMI the bug starts again.

true_goth (p-h-o-e-n-i-x) wrote :

i have the same problem

samsung n150

true_goth (p-h-o-e-n-i-x) wrote :

bug log

michael (mikahgiacchetti) wrote :

same problem please advise

Same problem, rm -rf .pulse solve the problem at least momentarily. Will comment if it comes back after logout/login or reboot.

Sorry, hit send before finishing.

I have a Asus 1005PE netbook with the problem. My other computer, a Toshiba Satellite U305, works ok.

Asus eeepc 1000h, same problem with ubuntu 10.10 netbook edition...

In addition I have also this message:
pa_stream_writable_size() failed: Connessione terminata

Fraser Hanson (fraser-hanson) wrote :

This probably is not a user configuration error, or configuration clutter from an older ubuntu version.

I just did the following:
 -updated my Ubuntu 10.10 install to this morning's latest updates
 -created a brand new user
 -rebooted
 -logged in as new user, for the first time
 -opened file manager, double-clicked on a movie which started playing in totem

I still encountered the bug.

I do not know if it's related, but if I choose "sound preference" on the volume applet I get a windows that says "Waiting for sound system to respond" forever. The volume was really low until I fired alsamixer in a terminal and put all the slides to 100%.

Hmmm. Sound system is one of the dark spot of Linux, in general. I had a lot of headache with it. Will send my configuration with apport, as soon as I find the trick to do it.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: romano 10341 F.... pulseaudio
 /dev/snd/pcmC0D0c: romano 10341 F...m pulseaudio
 /dev/snd/pcmC0D0p: romano 10341 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7cf8000 irq 45'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104383ce,00100004'
   Controls : 11
   Simple ctrls : 7
DistroRelease: Ubuntu 10.10
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Release i386 (20100429.4)
Package: pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu21.1
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Tags: ubuntu-une maverick
Uname: Linux 2.6.35-22-generic i686
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video
dmi.bios.date: 06/23/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1202
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1005P
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1202:bd06/23/2010:svnASUSTeKComputerINC.:pn1005PE:pvrx.x:rvnASUSTeKComputerINC.:rn1005P:rvrx.xx:cvnASUSTeKComputerINC.:ct10:cvrx.x:
dmi.product.name: 1005PE
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I can confirm that if I stop and restart pulse audio as told in https://wiki.ubuntu.com/PulseAudio/Log, the "sound preference" entry will work, and the bug comes back. Deleting the .pulse directory, again, makes the sound working again.

If someone direct me, I can help testing thing. Will a PulseAudio/Log be useful?

Here it is. Reproduding the bug with debug on, as per wiki intructions.

Tom Arnold (g0tt) wrote :

why is such an obvious bug still in a release??
Is playing video a niche use case for Ubuntu devs?

More info, I hope it can help any dev.

After rm -rf .pulse, the sound works, but the sound applet is completely out of game. Changing volume or muting stops working from there, and you need to use alsamixer from a terminal to control volume parameters.

Moreover, powertop claims that there is a sound device used the 100% of the time, even when no sound is produced.

Could any dev at least assign/change the status of this bug? Is quite nasty, and affecting a lot of people.

I've been affected by this since this morning, I have no idea what caused it though, because it worked fine beforehand. Running Ubuntu-Netbook 10.10 on a Dell Mini 10v, all other computers running 10.10 have been unaffected.

I also encountered a bug in banshee, although I have no idea if the two are related in anyway, I'm yet to look into it, and will post if I find anything of importance.

Ping?

I suspect that maybe this could be a totem bug, not a pulseaudio, given that comment#10 says that VLC works ok.

I submitted another bug for totem and marked as a dupicate of this bug.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
status: Confirmed → New
Changed in pulseaudio (Ubuntu):
status: New → Confirmed
tags: added: regression-release
Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
34 comments hidden view all 114 comments
David Henningsson (diwic) wrote :

@Romano, hmm, good question - I think the easiest way would be to install and use the ppa-purge tool to remove my ppa. Then add it again, and when the update manager asks you for upgrading, uncheck the relevant boxes.

After changing package versions, logout and login before testing.

@Aleksandr, thanks! Let's see what the other ones report as well.

Using the natty packages I am seeing problems raising or handling the required event for changing songs in Banshee and Totem. It seems to be down to the pulseaudio package but I will conduct more testing. Note that my network performance in Natty currently is about 1kb/s due to some weird bug so feedback may be some time coming.

Is anyone experiencing similar problems on Maverick?

To reproduce:

1) load up totem or banshee
2) queue up > 2 songs
3) play through or fastforward near the end of song x allowing it to reach the very end on its own.

Now you'd expect song x+1 to start playing, however it does not.

See:
https://bugzilla.gnome.org/show_bug.cgi?id=637623

Osmo Laitinen (osmo-laitinen) wrote :

I also have this problem with Totem and .avi files, .ogv files works fine. Haven't tested other files.
Using Ubuntu 10.10 Notebook edition on HP Mini 5102.

I tested with ppa and result is D.
With gstreamer I updated only gstreamer0.10-pulseaudio package, not gstreamer0.10-plugins-good.

00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
01:00.0 Network controller: Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01)
43:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8059 PCI-E Gigabit Ethernet Controller (rev ff)

Gangelies (gangelies) wrote :

The ppa solved the issue for me.
My PC is an Asus EeePC 1001HA with Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02) audio adapter.

Afonin-serg (afonin-serg) wrote :

I'm hit this bug. mv .pulse temp resove this problem

Afonin-serg (afonin-serg) wrote :

2David Henningsson
Thank's, your ppa fix the issue for me!
HP-Mini-5102 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:34:50 UTC 2010 i686 GNU/Linux
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)

Pete Goodall (pgoodall) wrote :

Why is this marked as 'Incomplete'? There seems to be abundant information on this bug and a large number of users affected. I can reliably reproduce this bug trying to play Big Buck Bunny on a fresh and up-to-date install of Ubuntu 10.10 on a Dell Mini 1012. Haven't tried the ppa yet, but wanted to at least ask why this is marked as Incomplete. Didn't see any explanation in the comments.

We don't yet know if it is best to fight the rewinds in GStreamer or PulseAudio. Additionally I don't think we actually have upstream for either one confirming that this fix what we want.

Indications seem to be that either package is a good target for the fix.

David Henningsson (diwic) wrote :

@David, you're right. In addition I'd say that I'd like to target both of them to fix as many crashes as possible. Also, one of the two GStreamer fixes are upstream.

@David

The PPA currently contains an older version of the gstreamer packages than is in Natty. Any hope for an update. Also do you have any ideas regarding the infinite repeating of one track issue I mentioned above which only occurs with your patched packages.

David Henningsson (diwic) wrote :

@David, maybe newer Natty packages were released - it was a few weeks since I put them there. Hopefully I have time to update them next week. In the meantime, would it be possible for you to see if it is the modified pulseaudio or gstreamer packages causing the infinite repeat?

The Pulseaudio package seems to be causing the issue. In Banshee it plays a song X, loads the next X+1, skips it then loads and plays X+2

debug output from Banshee:

[1 Debug 01:03:44.616] Track Terry Pratchett - Feet of Clay 067-117 (on Feet of Clay) <00:05:09.2190000> [file:///home/david/Musik/Terry%20Pratchett/Feet%20of%20Clay/67.%20Feet%20of%20Clay%20067-117.mp3] had playtime of 307628 msec (307sec), duration 309219 msec, queued: False
[1 Debug 01:03:44.619] OnEventChanged called with StartOfStream. Replacing current_track with pending_track: "Feet of Clay 068-117"
[1 Debug 01:03:44.934] TrackStarted: Feet of Clay 068-117
[1 Debug 01:03:45.532] (libbanshee:player) bp_stop: setting state to GST_STATE_NULL
[1 Debug 01:03:45.594] Player state change: Playing -> Idle
[1 Debug 01:03:45.642] Track Terry Pratchett - Feet of Clay 068-117 (on Feet of Clay) <00:05:07.9650000> [file:///home/david/Musik/Terry%20Pratchett/Feet%20of%20Clay/68.%20Feet%20of%20Clay%20068-117.mp3] had playtime of 308715 msec (308sec), duration 307965 msec, queued: False
[1 Debug 01:03:45.992] Querying model for track to play in off:Next mode
[1 Debug 01:03:46.017] Player state change: Idle -> Loading

Now clearly the last "had playtime" is a lie as the data shows it ran for around a second not 308 seconds.

Banshee's GStreamer shim:

http://git.gnome.org/browse/banshee/tree/libbanshee

Also in this case gapless playback is enabled, however this does not appear to have an impact on the issue.

Marcus Johnson (vi3-game-hkr) wrote :

This has been affecting me. I've actually lately quit using Ubuntu because I didn't have the time to try to fix this (and how annoying it is)

Is there something I can use besides pulseaudio so I can at least still listen to music and watch movies?

Sitsofe Wheeler (sitsofe) wrote :

David Henningsson:
gstreamer0.10-plugins-good:i386 0.10.25-4ubuntu3~diwic2
gstreamer0.10-pulseaudio:i386 0.10.25-4ubuntu3~diwic2
on Maverick were enough to fix my long standing problem when trying to run the following:
wget http://samples.mplayerhq.hu/A-codecs/wavpcm/8_Channel_ID.wav
echo "extra-arguments=--log-target=syslog --resample-method=speex-float-3" >> ~/.pulse/client.conf
pulseaudio -k
gst-launch-0.10 filesrc location=8_Channel_ID.wav ! decodebin ! audioconvert ! audioresample ! pulsesink

I have a feeling other media players also exhibited symptoms but as gstreamer is the main one that I use that is what I have tested here.

Justas Lavišius (bucaneer) wrote :

Installing all packages from ppa:diwic/fighting-rewinds does indeed fix the bug for me (did not test partial configurations), but it seems to introduce a new problem in some players: end of playlist does not register properly, the last item stays in "playing" status after playback is finished. This happens in Totem, gmusicbrowser and Muine at least, while Audacious, Exaile and VLC aren't affected.

David Henningsson (diwic) wrote :

Ok, thanks for testing. It looks like - so far - that the GStreamer patches are safe and that they alone help most people. Might make sense to push them out in the real Ubuntu installation, then defer the PulseAudio patch troubleshooting and its effect on playlists as reported in #89 and #86 until I have more time to see if I can fix them up?

Matt Zimmerman (mdz) wrote :

My bug (bug 532586) was marked as a duplicate of this one, but mine is older and has more/better analysis in it. I suggest duplicating the other way around instead.

David Henningsson (diwic) wrote :

@ubuntu-sponsors: Please apply this debdiff for Natty. After that we can consider SRUing it into Maverick.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
Changed in gst-plugins-good0.10 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
importance: Medium → High
Changed in pulseaudio (Ubuntu):
importance: Medium → High
David Henningsson (diwic) wrote :

Also, updated Natty packages for gstreamer (i e, what you get if you apply that debdiff to the current package), are now in my fighting-rewinds ppa.

Changed in gst-plugins-good0.10 (Ubuntu Natty):
status: Confirmed → Triaged
Changed in pulseaudio (Ubuntu Natty):
status: Confirmed → Triaged

Actually I am seeing the #86 issue with the PPA on Natty today which only pulls in the Gstreamer package (as there is a newer PA in Natty than the PPA).

The #86 issue, at least using the GStreamer package only, seems to be confined to Banshee. Totem seems fine. I will file this to upstream Banshee for examination.

e_james (e-james) wrote :

EeePC 901, Ubuntu 10.10

I'm a newcomer to linux and there is much I don't understand but I do have some computer skills and I have noticed that no-one has mentioned audio sampling rate. When I discovered this problem and looked for a solution I found that some video files will play properly and some won't. So I did some experiments with the following results.

Any file where the audio is mp3 or aac or ac3 with a sampling rate of 22.05 kHz will play in Totem without problems.

Any file where the audio is mp3 or aac or ac3 with a sampling rate of 24 kHz will fail to play in Totem with the error messages described above.

Since 44.1 kHz or 22.05 kHz seems to be the accepted standard in North America, I suspect that someone wrote a piece of code which, in effect, assumes that the sampling rate can only be 44.1 kHz or 22.05 kHz. Many years ago I made a similar mistake and trashed an operating system.

Unfortunately for me, the majority of my video files use mp3 at 24 kHz because I have found that 22.05 kHz doesn't sync properly with the video. I believe that it's something to do with the PAL TV standard in Europe.

Gordon Ball (chronitis) wrote :

I note an interesting variation of this bug which I don't think anyone else has reported (ubuntu 10.10).

I am unable to play video at any time with totem (resulting in the pa_stream_cork() failed messageboxes as other have described).

However, using either rhythmbox (which I would naively assume is using all the same backend elements as totem), playback succeeds, but only if a network connection is available. No error messages are reported if no network connection is available, but the sounds frequently pauses and comes out in mixed-up order.

I see the same behaviour with mplayer (works providing a network connection is available, otherwise sound pauses and shuffles as with rhythmbox). No errors are shown except for a warning that my system is too slow to play the video (not the case). Mplayer can be made to work normally without a network connection by killing pulse and using -ao {alsa, oss}.

I looked in my pulseaudio configuration and could not obviously find anything that should be network dependent (network sinks, etc) - the configuration should be as-shipped, anyway.

I'm not sure if this is sufficiently different to count as a separate bug. I will see if the PPA above solves any of these issues.

Duncan Hare (dh-synoia) wrote :

Will the fix described at #93 and #94 work on ubuntu 10.4?

I just installed this version on an Older Shuttle machine, and VLC failed repeatably in the middle of playing a movie.

I tried Windows/xp and hit the very slow boot problem after installing sp3. My other choice in Windows 7.

Marc Deslauriers (mdeslaur) wrote :

Debdiff in #93 looks good. I'm uploading package for natty now. Thanks!

Changed in gst-plugins-good0.10 (Ubuntu Natty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good0.10 - 0.10.26-1ubuntu3

---------------
gst-plugins-good0.10 (0.10.26-1ubuntu3) natty; urgency=low

  * debian/patches/06_pulsesink_dont_uncork_in_start.patch,
    debian/patches/07_pulsesink_allow_larger_packets.patch:
    - allow larger packets to be sent, prevents pulseaudio
      from crashing on low-end machines (LP: #644644)
 -- David Henningsson <email address hidden> Thu, 20 Jan 2011 13:10:34 +0100

Changed in gst-plugins-good0.10 (Ubuntu Natty):
status: Fix Committed → Fix Released
Matt Zimmerman (mdz) wrote :

Great work, all! Glad to see a fix on the way for this issue.

--
 - mdz

tags: added: patch
Al Lofton (alacron01) wrote :

Thanks Vincent Becker for posting the following on 2010-10-19:
"erased the .pulse directory in my /home/user profile"
working fine...

totem still not reading .avi videos in Mavrick fully updated on a EEEPC 1005HA
Quite irritating..

alexx6x (kireev-alex-92) on 2011-02-20
Changed in gst-plugins-good0.10 (Ubuntu Natty):
assignee: nobody → alexx6x (kireev-alex-92)
David Henningsson (diwic) wrote :

Pulseaudio parts now released in Natty with latest update to stable-queue.

Changed in pulseaudio (Ubuntu Natty):
status: Triaged → Fix Released
1 comments hidden view all 114 comments
quequotion (quequotion) wrote :

because it was confirmed quite a while ago.

Changed in pulseaudio (Ubuntu Maverick):
status: New → Confirmed
Changed in gst-plugins-good0.10 (Ubuntu Maverick):
status: New → Confirmed
quequotion (quequotion) wrote :

>>e_james

Sounds like you have a good idea.
If you can find that code, and contact the developer who wrote it, we might get a better pulseaudio from it.

>>David Henningsson

Why not a Maverick patch? is the maverick PA or kernel too out of date?

quequotion (quequotion) wrote :

In Ubuntu 10.10, this is what totem dumps to terminal when it crashes:

pulsesink.c(1544): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: Disconnected: Connection terminated
pulsesink.c(290): gst_pulsering_is_dead (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: pa_stream_cork() failed: Connection terminated
pulsesink.c(912): gst_pulsering_set_corked (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

** Message: Error: Disconnected: Connection terminated
pulsesink.c(290): gst_pulsering_is_dead (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin2/GstAutoAudioSink:autoaudiosink1/GstPulseSink:autoaudiosink1-actual-sink-pulse

Also, I not certain it's related, but I'm getting problems with dvd playback (see bug #545681) and ivtv streams will not play (either bug #375224 or bug #246319) all within the last month.

quequotion (quequotion) wrote :

>>David Henningsson
scratch that (comment #108), couldn't see the packages list in your ppa properly. i'm installing your packages now.

David Henningsson (diwic) wrote :

Debdiff for gst-plugins-good, Maverick SRU

description: updated
uncle Lem (guru-2000) wrote :

Confirmed

Changed in pulseaudio (Ubuntu Maverick):
assignee: nobody → uncle Lem (guru-2000)
1 comments hidden view all 114 comments
Himanshu Chug (himanshu-chug) wrote :

Hi ,

I have a similar problem where PA daemon is terminated
pa_stream_cork() failed: Connection terminated

if this bug patch is already released? how can I download the patch for this ?
great if somebody can please guide me abt patch location?

Himanshu

Displaying first 40 and last 40 comments. View all 114 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.